Package org.gradle.api.initialization

# Interface IncludedBuild

All Known Subinterfaces:
  `ConfigurableIncludedBuild`, `ConfigurableIncludedPluginBuild`

public interface IncludedBuild
A build that is included in the composite.

Since:
  3.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  The name of the included build.
  `File`
  `getProjectDir()`
  The root directory of the included build.
  `TaskReference`
  `task(String path)`
  Produces a reference to a task in the included build.

- ## Method Details

  - ### getName

    String getName()
    The name of the included build.

  - ### getProjectDir

    File getProjectDir()
    The root directory of the included build.

  - ### task

    TaskReference task(String path)
    Produces a reference to a task in the included build.